#
# spec file for package python-sphinxcontrib-blockdiag
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}

%bcond_with      test
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif

Name:           python-sphinxcontrib-blockdiag
Version:        3.0.0
Release:        3.5
Summary:        Sphinx "blockdiag" extension
License:        BSD-2-Clause
URL:            https://github.com/blockdiag/sphinxcontrib-blockdiag
# Use the github tag instead of the pythonhosted.org to get the tests folder
Source:         https://github.com/blockdiag/sphinxcontrib-blockdiag/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FEATURE-UPSTREAM 25.patch gh#blockdiag/sphinxcontrib-blockdiag#25
Patch0:         https://patch-diff.githubusercontent.com/raw/blockdiag/sphinxcontrib-blockdiag/pull/25.patch
Patch1:         remove-mock.patch
BuildRequires:  %{python_module Sphinx >= 2.0}
BuildRequires:  %{python_module blockdiag >= 1.5.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 2.0
Requires:       python-blockdiag >= 1.5.0
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Sphinx-latex}
BuildRequires:  %{python_module funcparserlib}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module sphinxcontrib-blockdiag = %{version}}
%endif

%python_subpackages

%description
A sphinx extension for embedding block diagram using blockdiag.

%prep
%autosetup -p1 -n sphinxcontrib-blockdiag-%{version}

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
%pytest
%endif

%if !%{with test}
%files %{python_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/sphinxcontrib/blockdiag.py*
%pycache_only %{python_sitelib}/sphinxcontrib/__pycache__
%{python_sitelib}/sphinxcontrib_blockdiag-%{version}-py*-nspkg.pth
%{python_sitelib}/sphinxcontrib_blockdiag-%{version}-py*.egg-info
%endif

%changelog
* Mon Oct 10 2022 Steve Kowalik <steven.kowalik@suse.com>
- Add patch remove-mock.patch.
* Thu Sep 29 2022 Daniel Garcia <daniel.garcia@suse.com>
- Add multibuild to run tests
- Use the github source because the pypi doesn't have the tests
- Add patch 25.patch to remove the sphinx-testing dependency
* Mon Jan 10 2022 Dirk Müller <dmueller@suse.com>
- update to 3.0.0:
  * drop python 3.5/3.6 support
  * add python 3.9+ support
* Mon Feb 24 2020 Ondřej Súkup <mimi.vx@gmail.com>
- update to 2.0.0
- drop py2 support
* Fri Dec 14 2018 Matěj Cepl <mcepl@suse.com>
- Package should own whole sitelib/sphinxcontrib/__pycache__
* Fri Dec  7 2018 Matej Cepl <mcepl@suse.com>
- Remove wrong BR on python-sphinxcontrib
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Sep 18 2017 toddrme2178@gmail.com
- Use new python-sphinxcontrib package to provide namespace
  directory.
* Mon Sep 18 2017 toddrme2178@gmail.com
- Specify files to guarantee namespace package doesn't conflict
  with python(2|3)-Sphinx
* Mon Oct 31 2016 termim@gmail.com
- initial checkin version 1.5.5
